2014-08-12  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* configure.ac: Prepare for release 1.8.1

2014-08-12  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	patch #8512 Rename tiny arch to avrtiny to sync with binutils
	* devtools/gen-avr-lib-tree.sh: AVRTINY10_DEV_INFO changed to
	AVRTINY_DEV_INFO.
	(AVR_ARH_INFO): Tiny arch name changed to avrtiny.
	* configure.ac: Tiny arch name changed to avrtiny.
	(AC_CONFIG_FILES): Change lib path for new architecture name.

2014-08-12  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #42957 missing SPMCSR defines in iom328p.h
	bug #41690 Bit definitions for SPMCSR
	* include/iom328p.h: fix SPMCSR names; add correct signature for
	ATmega328 device
	* include/avr/iom168p.h: fix SPMCSR names
	* include/avr/iom48p.h: (Dito.)
	* include/avr/iom88p.h: (Dito.)
	* include/avr/iom88pa.h: (Dito.)

2014-08-11  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #38614 dtostrf - wrong behavior or wrong documentation
	* include/stdlib.h (dtostrf): add "possible for the decimal dot

2014-08-11  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	bug #39779 PCIE0 and PCIE1 defined incorrectly for mega165a and mega165pa devices
	* include/avr/iom165a.h: Create a separate IO header file for
	the ATmega165A (derived from ATmega165PA which has already been
	correct)
	* include/avr/io.h: Include iom165a.h
	* include/avr/Makefile.am: Add iom165a.h

2014-08-05  Senthil Kumar Selvaraj  <senthil_kumar.selvaraj@atmel.com>

	* include/avr/io1200.h: Add RAMSTART.
	* include/avr/io2313.h: Likewise.
	* include/avr/io2323.h: Likewise.
	* include/avr/io2333.h: Likewise.
	* include/avr/io2343.h: Likewise.
	* include/avr/io43u32x.h: Likewise.
	* include/avr/io43u35x.h: Likewise.
	* include/avr/io4414.h: Likewise.
	* include/avr/io4433.h: Likewise.
	* include/avr/io4434.h: Likewise.
	* include/avr/io76c711.h: Likewise.
	* include/avr/io8515.h: Likewise.
	* include/avr/io8534.h: Likewise.
	* include/avr/io8535.h: Likewise.
	* include/avr/io86r401.h: Likewise.
	* include/avr/io90pwm216.h: Likewise.
	* include/avr/io90pwm2b.h: Likewise.
	* include/avr/io90pwm316.h: Likewise.
	* include/avr/io90pwm3b.h: Likewise.
	* include/avr/ioat94k.h: Likewise.
	* include/avr/iocan128.h: Likewise.
	* include/avr/iocan32.h: Likewise.
	* include/avr/iocan64.h: Likewise.
	* include/avr/iom103.h: Likewise.
	* include/avr/iom128.h: Likewise.
	* include/avr/iom1280.h: Likewise.
	* include/avr/iom161.h: Likewise.
	* include/avr/iom162.h: Likewise.
	* include/avr/iom163.h: Likewise.
	* include/avr/iom165.h: Likewise.
	* include/avr/iom165p.h: Likewise.
	* include/avr/iom169.h: Likewise.
	* include/avr/iom169p.h: Likewise.
	* include/avr/iom16hva.h: Likewise.
	* include/avr/iom2560.h: Likewise.
	* include/avr/iom2561.h: Likewise.
	* include/avr/iom323.h: Likewise.
	* include/avr/iom329.h: Likewise.
	* include/avr/iom3290.h: Likewise.
	* include/avr/iom32hvbrevb.h: Likewise.
	* include/avr/iom406.h: Likewise.
	* include/avr/iom64.h: Likewise.
	* include/avr/iom640.h: Likewise.
	* include/avr/iom649.h: Likewise.
	* include/avr/iom6490.h: Likewise.
	* include/avr/iom8hva.h: Likewise.
	* include/avr/iotn11.h: Likewise.
	* include/avr/iotn12.h: Likewise.
	* include/avr/iotn15.h: Likewise.
	* include/avr/iotn22.h: Likewise.
	* include/avr/iotn26.h: Likewise.
	* include/avr/iotn28.h: Likewise.
	* include/avr/iotn43u.h: Likewise.
	* include/avr/iousb1286.h: Likewise.
	* include/avr/iousb1287.h: Likewise.
	* include/avr/iousb162.h: Likewise.
	* include/avr/iousb646.h: Likewise.
	* include/avr/iousb647.h: Likewise.
	* include/avr/iousb82.h: Likewise.
	* include/avr/io90pwm1.h: Add RAMSTART and fix FLASHEND.
	* include/avr/io90pwmx.h: Likewise.
	* include/avr/iom3000.h: Add RAMSTART and fix RAMEND.
	* include/avr/iotn167.h: Fix RAMSIZE.

2014-07-30  Matthijs Kooijman <matthijs>

	Fix bug #40569: sleep_bod_disable does not work in attiny13a
	* include/avr/sleep.h: define BOD_CONTROL_REG based on BODCR.
	(sleep_bod_disable): use BOD_CONTROL_REG in place of MCUCR.

2014-07-24  Pitchumani Sivanupandi  <pitchumani.s@atmel.com>

	Move device ata6289 from avr25 arch group to avr4.
	* devtools/gen-avr-lib-tree.sh: Move device ata6289 to avr4 arch group.
	* configure.ac: Same. 
	* doc/api/using-tools.dox: Same.

2014-05-19  Pitchumani Sivanupandi  <pitchumani.s@atmel.com>

	* include/avr/wdt.h (wdt_enable): update wdt_enable for xmega to wait
	till sync finished (as per datasheet).
	(wdt_disable): Add wdt_disable for xmega devices.

2014-05-19  Joern Rennecke <joern.rennecke@embecosm.com>

	* include/Makefile.am (avr_HEADERS): Add signal.h .
	* include/signal.h: New file.

2014-05-02  Pieter Agten  <pieter.agten@gmail.com>

	* include/avr/iom328p.h (EFUSE_DEFAULT): update default value.

2014-05-01  Joern Rennecke  <joern.rennecke@embecosm.com>

	* include/math.h (sqrtf): Don't #define, declare.
	* libm/fplib/asmdef.h (ALIAS_ENTRY): Define.
	* libm/fplib/sqrt.S (sqrtf): New ALIAS_ENTRY.

2014-05-01  Joern Rennecke  <joern.rennecke@embecosm.com>

	* configure.ac (AC_CONFIG_FILES): Add include/sys/Makefile.
	* include/Makefile.am (avr_HEADERS): Add fcntl.h, locale.h, unistd.h.
	(SUBDIRS): Add sys.
	* include/errno.h: Add definitions for error codes required to compile
	libstdc++-v3.
	* include/locale.h, include/unistd.h, include/fcntl.h: New files.
	* include/stdio.h (FILE): Change to a typedef.
	(BUFSIZ, _IONBF): Define.
	(fpos_t): Typedef.
	(fgetpos, fopen, freopen, fdopen, fseek, fsetpos, ftell): Prototype.
	(ftell, fileno, perror, remote, rename, rewind, setbuf): Likewise.
	(setvbuf, tmpfile, tmpnam): Likewise.
	* include/stdlib.h (atexit, system, getenv): Prototype.
	* include/string.h (strcoll, strerror, strxfrm): Prototype.
	* include/sys: New directory.
	* include/time.h (_CLOCKS_PER_SEC_): Declare.
	(CLOCKS_PER_SEC): Define.
	(clock): Declare.
	* libc/stdlib/Files.am (stdlib_a_c_sources): Add atexit.c, getenv.c,
	system.c
	* libc/stdlib/atexit.c: New file.
	* libc/stdlib/getenv.c, * libc/stdlib/system.c: New stub files.

2014-05-01  Joern Rennecke  <joern.rennecke@embecosm.com>

	* include/stdint.h [!__USING_MINT8] (UINT8_MAX): Provide (signed)
	int value.
	(SIZE_MAX): Define as UINT16_MAX.
	[!WCHAR_MAX] (WCHAR_MAX, WCHAR_MIN): Define.
	[!WINT_MAX] (WINT_MAX, WINT_MIN): Define.

2014-05-01  Joern Rennecke  <joern.rennecke@embecosm.com>

	* include/stdint.h (INT8_C): Also define for __cplusplus >= 201103L.
	If __INT8_C is defined, use GNU C preprocessor builtin-macro
	for the definition.
	(INT16_C INT32_C, INT64_C, UINT8_C, UINT16_C, UINT32_C): Likewise.
	(UINT64_C, INTMAX_C, UINTMAX_C): Likewise.

2014-04-29  Aurelien Jarno  <aurelien@aurel32.net>

	* include/util/setbaud.h: correct typo.

2014-04-29  George Thomas <george.thomas@atmel.com>

	Fix for bug #37103: ATtiny5/9/10/20/40 watchdog can't be enabled
	* include/avr/wdt.h: Add wdt_enable and wdt_disable macros for tiny 4,5,
	9,10,20 and 40 devices.

2014-04-29  Senthil Kumar Selvaraj <senthil_kumar.selvaraj@atmel.com>

	Fix for bug #39049: Clock prescaler set and get are missing for TINY arch
	* include/avr/power.h: Add clock_prescale_set and get function/macro for 
	tiny 4, 5, 9, 10, 20 and 40 devices.

2014-04-29  Senthil Kumar Selvaraj <senthil_kumar.selvaraj@atmel.com>

	Fix for bug #40206: incorrect SP init in startup code for xmegas
	* crt1/gcrt1.S: write to SPL and then SPH for xmega SP initialization

2014-04-28  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Fix for bug #42024: build break regarding avrtiny10
	Submitted by baxelrod@irobot.com
	* libc/misc/itoa.S: Fix typo in avr tiny macro.
	* libc/misc/itoa_ncheck.S: Same.
	* libc/misc/ltoa.S: Same.
	* libc/misc/ltoa_ncheck.S: Same.
	* libc/misc/utoa.S: Same.
	* libc/misc/utoa_ncheck.S: Same.
	* libc/misc/ultoa.S: Same.
	* libc/misc/ultoa_ncheck.S: Same.

2014-04-28  Joey Morin <joeymorin@gmail.com>

	Fix for bug #40003: Integer type promotion leads to inefficent code in wdt.h
	* include/avr/wdt.h (wdt_enable): cast expression to destination type

2014-04-16  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Fix for bug #42084: wrong LFUSE_DEFAULT in iotn84a.h
	Submitted by ralphdoncaster
	* include/avr/iotn84a.h: Update LFUSE_DEFAULT as per datasheet.

2014-04-16  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Fix for bug #42085: HFUSE_DEFAULT not defined for iotn84.h
	Submitted by ralphdoncaster
	* include/avr/iotn84.h: Rename FUSE_HFUSE_DEFAULT to HFUSE_DEFAULT.

2014-03-31  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	* configure.ac: Add AT90pwm161, ATA5272, ATA5505, ATA5790, ATA5795,
	ATA6285, ATA6286, ATmega1284, ATmega128A, ATmega164PA, ATmega165PA,
	ATmega168PA, ATmega3250PA, ATmega325PA, ATmega3290PA, ATmega32A,
	ATmega48PA, ATmega64A, ATmega8A, ATtiny1634, ATtiny828, ATxmega128A3U,
	ATxmega128A4U, ATxmega128B1, ATxmega128B3, ATxmega128C3, ATxmega128D4,
	ATxmega16A4U, ATxmega16C4, ATxmega192A3U, ATxmega192C3, ATxmega256A3BU,
	ATxmega256A3U, ATxmega256C3, ATxmega32A4U, ATxmega32C4, ATxmega384C3,
	ATxmega384D3, ATxmega64A3U, ATxmega64A4U, ATxmega64B1, ATxmega64B3,
	ATxmega64C3, ATxmega64D4 devices.
	* devtools/gen-avr-lib-tree.sh: Ditto.
	* devtools/generate_iosym.sh: Ditto.
	* doc/api/main_page.dox: Document new device support.
	* doc/api/using-tools.dox: Ditto.
	* include/avr/Makefile.am (avr_HEADERS): Add new header files.
	* include/avr/eeprom.h: Add EEPROM definitions for new devices.
	* include/avr/io.h: Add hooks for new devices.
	* include/avr/power.h: Add power management definitions for new devices.
	* include/avr/sleep.h: Add sleep modes for new devices.
	* include/avr/wdt.h: Add watchdog support for new devices.
	* include/avr/io90pwm161.h: Newfile.
	* include/avr/ioa5272.h: Ditto.
	* include/avr/ioa5505.h: Ditto.
	* include/avr/ioa5790.h: Ditto.
	* include/avr/ioa5795.h: Ditto.
	* include/avr/ioa6285.h: Ditto.
	* include/avr/ioa6286.h: Ditto.
	* include/avr/iom1284.h: Ditto.
	* include/avr/iom128a.h: Ditto.
	* include/avr/iom164pa.h: Ditto.
	* include/avr/iom165pa.h: Ditto.
	* include/avr/iom168pa.h: Ditto.
	* include/avr/iom3250pa.h: Ditto.
	* include/avr/iom325pa.h: Ditto.
	* include/avr/iom3290pa.h: Ditto.
	* include/avr/iom32a.h: Ditto.
	* include/avr/iom48pa.h: Ditto.
	* include/avr/iom64a.h: Ditto.
	* include/avr/iom8a.h: Ditto.
	* include/avr/iotn1634.h: Ditto.
	* include/avr/iotn828.h: Ditto.
	* include/avr/iox128a3u.h: Ditto.
	* include/avr/iox128a4u.h: Ditto.
	* include/avr/iox128b1.h: Ditto.
	* include/avr/iox128b3.h: Ditto.
	* include/avr/iox128c3.h: Ditto.
	* include/avr/iox128d4.h: Ditto.
	* include/avr/iox16a4u.h: Ditto.
	* include/avr/iox16c4.h: Ditto.
	* include/avr/iox192a3u.h: Ditto.
	* include/avr/iox192c3.h: Ditto.
	* include/avr/iox256a3bu.h: Ditto.
	* include/avr/iox256a3u.h: Ditto.
	* include/avr/iox256c3.h: Ditto.
	* include/avr/iox32a4u.h: Ditto.
	* include/avr/iox32c4.h: Ditto.
	* include/avr/iox384c3.h: Ditto.
	* include/avr/iox384d3.h: Ditto.
	* include/avr/iox64a3u.h: Ditto.
	* include/avr/iox64a4u.h: Ditto.
	* include/avr/iox64b1.h: Ditto.
	* include/avr/iox64b3.h: Ditto.
	* include/avr/iox64c3.h: Ditto.
	* include/avr/iox64d4.h: Ditto.
	* crt1/iosym/at90pwm161.S: Ditto.
	* crt1/iosym/ata5272.S: Ditto.
	* crt1/iosym/ata5505.S: Ditto.
	* crt1/iosym/ata5790.S: Ditto.
	* crt1/iosym/ata5795.S: Ditto.
	* crt1/iosym/ata6285.S: Ditto.
	* crt1/iosym/ata6286.S: Ditto.
	* crt1/iosym/atmega1284.S: Ditto.
	* crt1/iosym/atmega128a.S: Ditto.
	* crt1/iosym/atmega164pa.S: Ditto.
	* crt1/iosym/atmega165pa.S: Ditto.
	* crt1/iosym/atmega168pa.S: Ditto.
	* crt1/iosym/atmega3250pa.S: Ditto.
	* crt1/iosym/atmega325pa.S: Ditto.
	* crt1/iosym/atmega3290pa.S: Ditto.
	* crt1/iosym/atmega32a.S: Ditto.
	* crt1/iosym/atmega48pa.S: Ditto.
	* crt1/iosym/atmega64a.S: Ditto.
	* crt1/iosym/atmega8a.S: Ditto.
	* crt1/iosym/attiny1634.S: Ditto.
	* crt1/iosym/attiny828.S: Ditto.
	* crt1/iosym/atxmega128a3u.S: Ditto.
	* crt1/iosym/atxmega128a4u.S: Ditto.
	* crt1/iosym/atxmega128b1.S: Ditto.
	* crt1/iosym/atxmega128b3.S: Ditto.
	* crt1/iosym/atxmega128c3.S: Ditto.
	* crt1/iosym/atxmega128d4.S: Ditto.
	* crt1/iosym/atxmega16a4u.S: Ditto.
	* crt1/iosym/atxmega16c4.S: Ditto.
	* crt1/iosym/atxmega192a3u.S: Ditto.
	* crt1/iosym/atxmega192c3.S: Ditto.
	* crt1/iosym/atxmega256a3bu.S: Ditto.
	* crt1/iosym/atxmega256a3u.S: Ditto.
	* crt1/iosym/atxmega256c3.S: Ditto.
	* crt1/iosym/atxmega32a4u.S: Ditto.
	* crt1/iosym/atxmega32c4.S: Ditto.
	* crt1/iosym/atxmega384c3.S: Ditto.
	* crt1/iosym/atxmega384d3.S: Ditto.
	* crt1/iosym/atxmega64a3u.S: Ditto.
	* crt1/iosym/atxmega64a4u.S: Ditto.
	* crt1/iosym/atxmega64b1.S: Ditto.
	* crt1/iosym/atxmega64b3.S: Ditto.
	* crt1/iosym/atxmega64c3.S: Ditto.
	* crt1/iosym/atxmega64d4.S: Ditto.

2014-03-21  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Fix for bug #40567: Invalid names in iotn13a.h (EEPE/EEMPE/BODS/BODSE)
	* include/avr/iotn13a.h: Update EECR bit definitions.

2014-03-21  Morten Engelhardt Olsen <Morten_engelhardt.Olsen@atmel.com>

	* include/avr/iotn13a.h: Rename BODCR register's bit definitions.
	* include/avr/iotn24a.h: Add BODSE and BODS bits to MCUCR register.
	Add WDT_vect interrupt vector.
	* include/avr/iotn44a.h: Add BODSE and BODS bits to MCUCR register.
	* include/avr/iotn84a.h: Same.
	* include/avr/iotn167.h: Update PUDB bit definition.
	* include/avr/iom328p.h: Update High and extended fuse byte definitions.

2014-03-20  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Submitted by Morten Engelhardt Olsen <Morten_engelhardt.Olsen@atmel.com>
	Fix for bug #35948: iom32u4.h for ATmega32U4 incorrectly defines Timer 2
	* include/avr/iom32u4.h: Remove timer2 related definitions (TIFR2, TCCR2A,
	TCCR2B, TCNT2, OCR2A and OCR2B)

2014-03-20  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Submitted by Barnabas Bodnar, Pitchumani Sivanupandi
	Fix for bug #36053: Declaration of the register USIBR missing for ATtiny 
	2313a/4313
	Fix for bug #35971: attiny4313 (2313a) pin-change interrupts PCINT[0...2]
	vect etc.
	* include/avr/iotn2313a.h: Add USIBR register and bit definitions.
	Update bit definitions for UCSRC, GIFR, GIMSK. Add PCMSK0 and GIFR as
	alias name for PCMSK and EIFR respectively. Add alias names for USART and 
	PCINT interrupt vectors.
	* include/avr/iotn4313.h: Same.

2014-03-20  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Submitted by Morten Engelhardt Olsen <Morten_engelhardt.Olsen@atmel.com>
	Fix for bug #38516: Missing TWI and UCSR1D definitions for ATmega16/32 U4
	* include/avr/iom16u4.h: Add TWBR,TWSR,TWAR,TWDR,TWCR,TWAMR and UCSR1D
	register definitions.
	* include/avr/iom32u4.h: Add UCSR1D regiter and bit definitions.

2014-03-20  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* include/avr/iom256rfr2.h (PCMSK0_struct): Add missing definition
	* include/avr/imo128rfr2.h (PCMSK0_struct): (Dito.)
	* include/avr/iom64rfr2.h (PCMSK0_struct): (Dito.)

2014-03-18  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Submitted by Vishnu KS
	Fix for bug #40595: iotn2313a.h: wrong fuses definitions for High Fuse Byte
	* include/avr/iotn2313a.h: Update high fuse byte definitions.
	* include/avr/iotn4313.h: Same.

2014-03-18  Pitchumani Sivanupandi <pitchumani.s@atmel.com>

	Submitted by Vishnu KS
	Fix for bug #41519: wrong SPM_PAGESIZE definition in iotn[48]8.h
	* include/avr/iotn48.h: update SPM_PAGESIZE to 64
	* include/avr/iotn88.h: Same.

2014-03-17  Pitchumani Sivanupandi <pitchumani.s@atmel.com> 

	* include/avr/iox64d3.h (PR_struct): Remove PRPB.
	(CRC_struct): Add CRC definitions.
	Remove incorrect PR definitions.
	* include/avr/iox128d3.h: Same.
	* include/avr/iox192d3.h: Same.
	* include/avr/iox256d3.h (PR_struct): Add power reduction definitions.
	(CRC_struct): Add CRC definitions.
	Add PR and CRC macro definitions.
	* include/avr/power.h: Add power reduction macro docs and update power
	reduction macro definitions for xmega64/128/192/256 D3 devices.
